elementtree :: ElementTree :: Element :: Class Element

[frames] | no frames]

# Class Element

source code

    object --+
             |
            Element

Instance Methods

__delitem__(self, index) | source code

__delslice__(self, start, stop) | source code

__getitem__(self, index) | source code

__getslice__(self, start, stop) | source code

__init__(self, tag, attrib=`{``}`, **extra) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

__len__(self) | source code

__nonzero__(self) | source code

__repr__(self) repr(x) | source code

__setitem__(self, index, element) | source code

__setslice__(self, start, stop, elements) | source code

append(self, element) | source code

clear(self) | source code

extend(self, elements) | source code

find(self, path) | source code

findall(self, path) | source code

findtext(self, path, default=None) | source code

get(self, key, default=None) | source code

getchildren(self) | source code

getiterator(self, tag=None) | source code

insert(self, index, element) | source code

items(self) | source code

iter(self, tag=None) | source code

itertext(self) | source code

keys(self) | source code

makeelement(self, tag, attrib) | source code

remove(self, element) | source code

set(self, key, value) | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Class Variables
| attrib = `None`
| tag = `None`
| tail = `None`
| text = `None`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, tag, attrib=`{``}`, **extra)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)